Bug 76802 - Black status text unreadable in some cases
Summary: Black status text unreadable in some cases
Status: RESOLVED INTENTIONAL
Alias: None
Product: kweather-kde3
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian stable Linux
: NOR normal with 50 votes (vote)
Target Milestone: ---
Assignee: geiseri
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-05 10:41 UTC by Bill Kendrick
Modified: 2006-04-27 11:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of kweather's text nearly unreadable. (15.93 KB, image/png)
2004-03-05 10:43 UTC, Bill Kendrick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Kendrick 2004-03-05 10:41:49 UTC
Version:           2.1.0 (using KDE KDE 3.2.0)
Installed from:    Debian stable Packages
OS:          Linux

When Kweather is showing textual data (temperature, etc.), that text can be unreadable depending on the color or other settings of the Kicker panel.  The text color should be configurable, at the least.  (Text size and position would be nice, too...  Kweather with temp. only is HUGE!!!)
Comment 1 Bill Kendrick 2004-03-05 10:43:01 UTC
Created attachment 5033 [details]
Screenshot of kweather's text nearly unreadable.

Kicker is set to transparent with a tint.  One of my desktop backgrounds is a
NASA photo of deep space, and therefore my kicker shows up quite dark on that
desktop.   As you can see, the text in Kweather becomes unreadable.
Comment 2 John Ratke 2004-03-14 20:02:17 UTC
Sorry, the developer consensus is that this won't be fixed because we can't support these various rare configurations without cluttering the configuration UI.
Comment 3 Mike 2004-03-27 23:44:50 UTC
This is a real pain... especially when you have a translucent/parent kicker and a dark/black wallpaper... you can't read a damn thing.

If cluttering the UI is a problem, perhaps you could link the Clock applet's font/type/size settings with kweather?  If people don't have a black clock font, they probably won't want a black weather font.

A simple checkbox for this option in UI config...without adding a whole mess of typeface/style/size/color/background options...
Comment 4 Sean Lynch 2004-05-18 08:01:21 UTC
Yes, I total agree with Mike.  I love the kweather applet, but I usually keep my kicker transparent with a dark background, which basically makes the text on the applet unusable.  While I don't feel an adding this option to the configuration dialog will clutter them, it would be nice to at least be able to edit the kweatherrc file by hand to change the color, or as mike said, maybe set it to the clock's color (which is what I want anyways).

Thanks.
Comment 5 Rob Blomquist 2004-06-06 08:52:40 UTC
And I totally agree with the other guys, Sean and Mike. Kweather as an applet rocks! But I would really like to see the font size and color change from the GUI, too. And its all becase I use the transparent toolbar.

And if you are me, the config UI won't be cluttered with these changes.
Comment 6 Ben Burton 2004-07-02 00:02:28 UTC
Hi.  I just received this request also through the Debian BTS (#257135).

IMHO this is indeed a bug -- if you can't read the text because the colours are incompatible and there's no way around it, then it's a usability problem, not just an aesthetic niceity.

If an extra "Font" page were added to the config dialog, this doesn't really seem like clutter either.  If you want it then it's there, and if you don't want it then it's a single icon (only one of three) whose purpose is clear and which you can clearly avoid.
Comment 7 Matt Howe 2004-08-30 04:21:19 UTC
I agree, needs to be fixed somehow. With a transparent kicker and a dark background kweather becomes useless, and I don't think the UI cluttering would be a such a big problem. 
Comment 8 nick mitchell 2005-01-18 04:14:22 UTC
just wanted to concur that this is a problem, since I couldn't vote for it (got a "max 20 votes for this product")
Comment 9 Edwin de Jong 2006-01-23 20:48:30 UTC
Clearly a usability bug which needs to be resolved by adding a seperate tab to the settings page. Does not incur any clutter at all in my opinion.

Please re-open this bug.
Comment 10 William Kendrick 2006-01-23 20:55:36 UTC
Counting myself, that makes 8 people (out of 9) who have agreed with me in the last 22 months or so. :^)

I realize things are moving to Plamsa and such, but in the meantime, it seems like a good idea to fix this.

(Note: Since my initial report, due to this and other issues, I've personally switched to using the SuperKaramba LiquidWeather++ instead of KWeather.  But at the same time, I've also missed having weather visible at all times, in my panel.)

So I agree with Edwin, please re-open this bug.